var class_component_energy_manager =
[
    [ "ComponentEnergyManager", "d6/de6/class_component_energy_manager.html#a1f07fa8158cce6c047a788da88ef9a1c", null ],
    [ "~ComponentEnergyManager", "d6/de6/class_component_energy_manager.html#a6cb5b4641afb5893e72c98bbe31eaf50", null ],
    [ "AddEnergy", "d6/de6/class_component_energy_manager.html#a543fb51b3fb6bb8d610931e4d15a6821", null ],
    [ "CanBePluggedInto", "d6/de6/class_component_energy_manager.html#a7d0313af47e59356d964a719622b8c60", null ],
    [ "CanReceivePlugFrom", "d6/de6/class_component_energy_manager.html#affb1402ac69a86794a73210bf0325c48", null ],
    [ "CanSwitchOff", "d6/de6/class_component_energy_manager.html#ae10c85090bb78b97cb8ed74131c2f6c7", null ],
    [ "CanSwitchOn", "d6/de6/class_component_energy_manager.html#ad4a5d8267f6a4b9a53e6b0386631fa77", null ],
    [ "CanWork", "d6/de6/class_component_energy_manager.html#ab2486b01c854bb4d61e00a35a4cf2212", null ],
    [ "CheckWetness", "d6/de6/class_component_energy_manager.html#a3d93ec7acba58231ee7c97e0a637e608", null ],
    [ "ClearLastUpdateTime", "d6/de6/class_component_energy_manager.html#a61ac207c6f63b0b7aea06ab540369f79", null ],
    [ "ConsumeEnergy", "d6/de6/class_component_energy_manager.html#ad1c1bec7b32bfc7296b35416c8c51d97", null ],
    [ "DebugUpdate", "d6/de6/class_component_energy_manager.html#a8bb2063fa06e872aacdd433f8b329b20", null ],
    [ "DeviceUpdate", "d6/de6/class_component_energy_manager.html#a50aa5f00abe2dc98148db6a622a2bd72", null ],
    [ "DrawArrow", "d6/de6/class_component_energy_manager.html#a26b76a03a44a9a6eccc5485dd3e53e29", null ],
    [ "Event_OnAwake", "d6/de6/class_component_energy_manager.html#ad0969ee0b193d51e524ffbd7bfeb1af5", null ],
    [ "Event_OnInit", "d6/de6/class_component_energy_manager.html#ae0cce20c09004ec84da9e877eee60af9", null ],
    [ "FindAndConsumeEnergy", "d6/de6/class_component_energy_manager.html#a7e2499625e337a83adfe6807fe12b413", null ],
    [ "GetAttachmentAction", "d6/de6/class_component_energy_manager.html#ab1477ddbb2dde8bc14acde5fcff96e88", null ],
    [ "GetCompatiblePlugTypes", "d6/de6/class_component_energy_manager.html#a2ca2d4fca4a4deb7a34d88c27c9bc577", null ],
    [ "GetCompType", "d6/de6/class_component_energy_manager.html#ac0b43b25f12465934effbab6cf2af360", null ],
    [ "GetCordLength", "d6/de6/class_component_energy_manager.html#aab011aaeea84bd43a1841bd7b5432914", null ],
    [ "GetCordTextureFile", "d6/de6/class_component_energy_manager.html#aa3da053f8e76ee55eaa0bfa3d76f33eb", null ],
    [ "GetCurrentUpdateTime", "d6/de6/class_component_energy_manager.html#a5a64b4ea74af695277a240a20ff791e5", null ],
    [ "GetDebugPlugs", "d6/de6/class_component_energy_manager.html#a91366d23c800f1cb527f85c67e3d1d41", null ],
    [ "GetDeviceBySocketID", "d6/de6/class_component_energy_manager.html#af381252522c73d66a4aab807bd12e11b", null ],
    [ "GetEnergy", "d6/de6/class_component_energy_manager.html#a78db51ac9a271ddbec426f23b7df6687", null ],
    [ "GetEnergy0To1", "d6/de6/class_component_energy_manager.html#ac530f5c4891c8c8b2889930d5bb53c5e", null ],
    [ "GetEnergy0To100", "d6/de6/class_component_energy_manager.html#a6a374bd3fd7130bf0d8f8c6be1be2cb8", null ],
    [ "GetEnergyMax", "d6/de6/class_component_energy_manager.html#a0ec9b1cd29f3cd6b4b11d6f56cd7a681", null ],
    [ "GetEnergyMaxPristine", "d6/de6/class_component_energy_manager.html#af7fb8401873a84077b011909caea3483", null ],
    [ "GetEnergySource", "d6/de6/class_component_energy_manager.html#a81dc53b49e855ea476eab213303f493a", null ],
    [ "GetEnergySourceNetworkIDHigh", "d6/de6/class_component_energy_manager.html#a942e7529dea89c9673c313ab1df33f0b", null ],
    [ "GetEnergySourceNetworkIDLow", "d6/de6/class_component_energy_manager.html#a1fd32345f2bf4ebc541f79e9c404b7cc", null ],
    [ "GetEnergySourceStorageIDb1", "d6/de6/class_component_energy_manager.html#ada5e2d2ff8cbd68d0533548c6fd60840", null ],
    [ "GetEnergySourceStorageIDb2", "d6/de6/class_component_energy_manager.html#a9cbdbe303c8b2dfc42478b63832ef080", null ],
    [ "GetEnergySourceStorageIDb3", "d6/de6/class_component_energy_manager.html#af9e927ce85087d19d39023c4c8945dbc", null ],
    [ "GetEnergySourceStorageIDb4", "d6/de6/class_component_energy_manager.html#a570d4ab32eb16787e458d287cd5898a7", null ],
    [ "GetEnergyUsage", "d6/de6/class_component_energy_manager.html#a16a5958cdf37b384907b8ed145fec939", null ],
    [ "GetMySocketID", "d6/de6/class_component_energy_manager.html#ab86161d75f40245f7a1413c4aedd5df0", null ],
    [ "GetPluggedDevice", "d6/de6/class_component_energy_manager.html#ab40d43c06cd2889aeda1845865794e37", null ],
    [ "GetPluggedDevices", "d6/de6/class_component_energy_manager.html#a916aa34a5bcfe85ed7a2555b4e5d2d5f", null ],
    [ "GetPluggedDevicesCount", "d6/de6/class_component_energy_manager.html#a5b65bf30cf62469ca80dbff454016645", null ],
    [ "GetPlugOwner", "d6/de6/class_component_energy_manager.html#aab92cb23e549a134d69126edb2bd3842", null ],
    [ "GetPlugType", "d6/de6/class_component_energy_manager.html#a7b2ef0cb7916dc72b94bb915f65576a3", null ],
    [ "GetPoweredDevices", "d6/de6/class_component_energy_manager.html#acf69b11565bccf1ffb64103e57bdba4c", null ],
    [ "GetPreviousSwitchState", "d6/de6/class_component_energy_manager.html#a0edb46ea8911bb67e8602251319ce977", null ],
    [ "GetRestorePlugState", "d6/de6/class_component_energy_manager.html#ab8bcdaacf10e765e1c4619d0604057b1", null ],
    [ "GetSocketsCount", "d6/de6/class_component_energy_manager.html#ae1e4eae16873612865c2f218be8ef54c", null ],
    [ "GetThisEntityAI", "d6/de6/class_component_energy_manager.html#a8eb5e80e74808d999e58d6fa13cbc316", null ],
    [ "GetUpdateInterval", "d6/de6/class_component_energy_manager.html#ae4cd2602dc4b6a42a71c89da6597c40e", null ],
    [ "GetWetnessExposure", "d6/de6/class_component_energy_manager.html#a34024aeedb8b97afc0d40e07f5d5bbac", null ],
    [ "HandleMoveInsideCargo", "d6/de6/class_component_energy_manager.html#a780e11fc225b7eddacdf421a090c5707", null ],
    [ "HasConversionOfEnergyToQuantity", "d6/de6/class_component_energy_manager.html#a970c9c708619892f0b7650b506649c27", null ],
    [ "HasElectricityIcon", "d6/de6/class_component_energy_manager.html#aeab4709932f722af037993ae69316c32", null ],
    [ "HasEnoughStoredEnergy", "d6/de6/class_component_energy_manager.html#af9ed66da7876a43cbc6de66ed1879369", null ],
    [ "HasFreeSocket", "d6/de6/class_component_energy_manager.html#a30a5a062ac938333e25032a4a4252f66", null ],
    [ "HasVisibleSocketsInInventory", "d6/de6/class_component_energy_manager.html#ab987beab9f2863e2952bfc8aac3523d2", null ],
    [ "IsCordFolded", "d6/de6/class_component_energy_manager.html#abec17de5204a6cf94e9f3095be0a0dbf", null ],
    [ "IsEnergySourceAtReach", "d6/de6/class_component_energy_manager.html#a76419b53b040a730bd800e17a7e37ec6", null ],
    [ "IsPassive", "d6/de6/class_component_energy_manager.html#a949a8c0d182b4ad81b4f065eebcc4558", null ],
    [ "IsPlugCompatible", "d6/de6/class_component_energy_manager.html#adadd2b7c8519162dfda8856a83b98662", null ],
    [ "IsPlugged", "d6/de6/class_component_energy_manager.html#a7ea3e502f254673cdc14ada8d5c490e4", null ],
    [ "IsSelectionAPlug", "d6/de6/class_component_energy_manager.html#aa8adeee64b0e78eb3a8b93dc4a4df9eb", null ],
    [ "IsSwitchedOn", "d6/de6/class_component_energy_manager.html#af90a8bc8fac264bd87a55892bc874388", null ],
    [ "IsWorking", "d6/de6/class_component_energy_manager.html#a203c2caf5670ffba833534824f270d21", null ],
    [ "OnAttachmentAdded", "d6/de6/class_component_energy_manager.html#a9f487945e9c38493d6a5e3e5bb94c08f", null ],
    [ "OnAttachmentRemoved", "d6/de6/class_component_energy_manager.html#a8b1ceb91c8cac13075521d7159f2d508", null ],
    [ "OnDeviceDestroyed", "d6/de6/class_component_energy_manager.html#aeefca58bc2b0c6a16e1dad1be4acbcf8", null ],
    [ "OnEnergyAdded", "d6/de6/class_component_energy_manager.html#a51ebd5d6b4a5f9824c430d848503b816", null ],
    [ "OnEnergyConsumed", "d6/de6/class_component_energy_manager.html#adc51ebb83eca05df9bbd900f778c2f8d", null ],
    [ "OnIsPlugged", "d6/de6/class_component_energy_manager.html#aa08c669ea24936e9323e67e8db83441a", null ],
    [ "OnIsUnplugged", "d6/de6/class_component_energy_manager.html#ab7c7a5a7475e4205e58c584bce3507af", null ],
    [ "OnOwnSocketReleased", "d6/de6/class_component_energy_manager.html#acae57df0e2ab084468d083145ba8b562", null ],
    [ "OnOwnSocketTaken", "d6/de6/class_component_energy_manager.html#aeb5536f1697a85c2db033fee841386ef", null ],
    [ "OnWork", "d6/de6/class_component_energy_manager.html#a8f0f6a0deaa93b7540d5ce46c0b2fb1f", null ],
    [ "PlugCordIntoSocket", "d6/de6/class_component_energy_manager.html#a42a756805c3ad6249af617d7ba0d9e45", null ],
    [ "PlugInDevice", "d6/de6/class_component_energy_manager.html#ae7168a8ad227cee600fd4d3f8c31e742", null ],
    [ "PlugThisInto", "d6/de6/class_component_energy_manager.html#af0ee30b3861d8b1b4659a17554a02a57", null ],
    [ "RefreshDebug", "d6/de6/class_component_energy_manager.html#a0f2dde4ec526173b0e6e052a7d0660dc", null ],
    [ "RememberLastUpdateTime", "d6/de6/class_component_energy_manager.html#ad3139b97de37f9790be15a4a071ec648", null ],
    [ "ResetEnergyUsage", "d6/de6/class_component_energy_manager.html#ad56eeede242ca7a15e3cab3db486a1b3", null ],
    [ "RestorePlugState", "d6/de6/class_component_energy_manager.html#ac3a40782025d4c6f3852621b369001f8", null ],
    [ "SetAttachmentAction", "d6/de6/class_component_energy_manager.html#a4c887af29dd76fab3cf577d80b16d40d", null ],
    [ "SetCordLength", "d6/de6/class_component_energy_manager.html#a626b7a270e924abecf5432eaec178151", null ],
    [ "SetCordTextureFile", "d6/de6/class_component_energy_manager.html#adf461271427dfed00013cc6b52a8bb00", null ],
    [ "SetDebugPlugs", "d6/de6/class_component_energy_manager.html#a2bc0291674e83a1fb433387cd9a8fe2b", null ],
    [ "SetDeviceBySocketID", "d6/de6/class_component_energy_manager.html#ae24909dfcd0361aabd1d040bfea69240", null ],
    [ "SetElectricityIconVisibility", "d6/de6/class_component_energy_manager.html#a0ccb7aada2ce1f281fafe42c7ca9ecff", null ],
    [ "SetEnergy", "d6/de6/class_component_energy_manager.html#aa949a780d8573da21f042a431278c862", null ],
    [ "SetEnergy0To1", "d6/de6/class_component_energy_manager.html#a2febc432782590f0ba74206b84765c6b", null ],
    [ "SetEnergyMaxPristine", "d6/de6/class_component_energy_manager.html#a22b7c90695fe66237a240f6a784020b3", null ],
    [ "SetEnergySource", "d6/de6/class_component_energy_manager.html#a1306802a9886070c3660feddfea7be0c", null ],
    [ "SetEnergySourceClient", "d6/de6/class_component_energy_manager.html#a6638d7812f803bd1e354f6725d241767", null ],
    [ "SetEnergyUsage", "d6/de6/class_component_energy_manager.html#adb159e65cc174e81eb28035d26539e71", null ],
    [ "SetMySocketID", "d6/de6/class_component_energy_manager.html#ac55d71fc43b40efd6b0083e538a77fe6", null ],
    [ "SetPassiveState", "d6/de6/class_component_energy_manager.html#a482c94137bf073bb205adf36dd562fae", null ],
    [ "SetPlugOwner", "d6/de6/class_component_energy_manager.html#ae89f7355556a858b1c76f62bcfa34721", null ],
    [ "SetPlugType", "d6/de6/class_component_energy_manager.html#a984259cb30360ee7d980dc6c91f84b0f", null ],
    [ "SetPowered", "d6/de6/class_component_energy_manager.html#a7305ae551fd401a078739dbba936ff7c", null ],
    [ "SetUpdateInterval", "d6/de6/class_component_energy_manager.html#a47c90535032c6546af8e07625998cc8c", null ],
    [ "StartUpdates", "d6/de6/class_component_energy_manager.html#ae1f236cc1b13f1f4a3e954934d249c93", null ],
    [ "StopUpdates", "d6/de6/class_component_energy_manager.html#a7b484fa82876b7a0bce7976cac96b2d2", null ],
    [ "StoreEnergySourceIDs", "d6/de6/class_component_energy_manager.html#a9a33eef94af75f5dc4f7e1686d8119d2", null ],
    [ "SwitchOff", "d6/de6/class_component_energy_manager.html#ac5a51e4e7dbb63201cc9af215fcfbf11", null ],
    [ "SwitchOn", "d6/de6/class_component_energy_manager.html#a0dda726b317d9c0cda60d62a08787165", null ],
    [ "Synch", "d6/de6/class_component_energy_manager.html#ac69deee06b561f89a03e7076d4568e51", null ],
    [ "UnplugAllDevices", "d6/de6/class_component_energy_manager.html#a10b764e0c112ee44b645deb32188aeae", null ],
    [ "UnplugCordFromSocket", "d6/de6/class_component_energy_manager.html#af727bc0b207b8ca3895b2ad4f9a8d540", null ],
    [ "UnplugDevice", "d6/de6/class_component_energy_manager.html#a3bffc81c81977a43cf7b7b7b430978d8", null ],
    [ "UnplugThis", "d6/de6/class_component_energy_manager.html#a593393d2e6ded40e837cf8c7b5f2366c", null ],
    [ "UpdateCanWork", "d6/de6/class_component_energy_manager.html#a38a23b57bdbc43b491e8851de92cb8b7", null ],
    [ "UpdatePlugState", "d6/de6/class_component_energy_manager.html#a9ece944a61ac30acf11ad1715bef31ba", null ],
    [ "UpdateSelections", "d6/de6/class_component_energy_manager.html#ab4b558e9f0cef9915c23af1ad7c92f10", null ],
    [ "UpdateSocketSelections", "d6/de6/class_component_energy_manager.html#ac5dd8681edeadfebe3ef434fdf61c70c", null ],
    [ "WakeUpWholeBranch", "d6/de6/class_component_energy_manager.html#a9f9b9f537cd72ab7b77b27e0c2295c33", null ],
    [ "_AVAILABLE", "d6/de6/class_component_energy_manager.html#aec8d891fa16a9b2dbb17c374d386a3ca", null ],
    [ "_PLUGGED", "d6/de6/class_component_energy_manager.html#a7ad950d0f1cb644b4e39b26e839ba6fe", null ],
    [ "DEFAULT_UPDATE_INTERVAL", "d6/de6/class_component_energy_manager.html#aa9d305b6770a029494d9d0b29edf1af8", null ],
    [ "m_AttachmentActionType", "d6/de6/class_component_energy_manager.html#a134429f487aba9e8fcf34ac14c7230f4", null ],
    [ "m_AutoSwitchOff", "d6/de6/class_component_energy_manager.html#ab888205f127f88bcc7a1d1f8a09ca3bf", null ],
    [ "m_AutoSwitchOffWhenInCargo", "d6/de6/class_component_energy_manager.html#aea17402e3f1ef0df70883bd822292d4c", null ],
    [ "m_CanStopWork", "d6/de6/class_component_energy_manager.html#a39533745b21b1b17cb97038b7a2b10a5", null ],
    [ "m_CanWork", "d6/de6/class_component_energy_manager.html#a912f649ddc6bac00c37d9f5d04e23a04", null ],
    [ "m_CompatiblePlugTypes", "d6/de6/class_component_energy_manager.html#afd240228fbaf8ddc6ffb033656189d5f", null ],
    [ "m_ConvertEnergyToQuantity", "d6/de6/class_component_energy_manager.html#a71a7dba113a49607bce898f995fc57a3", null ],
    [ "m_CordLength", "d6/de6/class_component_energy_manager.html#a1152ab1fb551b5e29f703948c4b45c1d", null ],
    [ "m_CordTextureFile", "d6/de6/class_component_energy_manager.html#a7e8041f680522937826aa2ed32e2d140", null ],
    [ "m_DebugPlugArrow", "d6/de6/class_component_energy_manager.html#a640572e44235d53e7cb3330f80eb4c10", null ],
    [ "m_DebugPlugs", "d6/de6/class_component_energy_manager.html#a827deb0b6fb0586f759fef82486a1fdd", null ],
    [ "m_DebugUpdate", "d6/de6/class_component_energy_manager.html#a508fe52a637ff7f7ffde7926a3e82047", null ],
    [ "m_DeviceByPlugSelection", "d6/de6/class_component_energy_manager.html#aa77661471d0b775a1350cc55a7e4d55f", null ],
    [ "m_Energy", "d6/de6/class_component_energy_manager.html#aadd794863f6cf79e1dd6fc255e17effa", null ],
    [ "m_EnergySource", "d6/de6/class_component_energy_manager.html#a673fc72facd09d17ab4b945988cf09c3", null ],
    [ "m_EnergySourceNetworkIDHigh", "d6/de6/class_component_energy_manager.html#ac8350f29b96785a9aa6994efed6c59da", null ],
    [ "m_EnergySourceNetworkIDLow", "d6/de6/class_component_energy_manager.html#a57579a10378b3241fe669f25bd9ad44c", null ],
    [ "m_EnergySourceStorageIDb1", "d6/de6/class_component_energy_manager.html#a577ec52f0082ba4b813c98d84807acd9", null ],
    [ "m_EnergySourceStorageIDb2", "d6/de6/class_component_energy_manager.html#aac37410f31c46a92acefdc442eeb2525", null ],
    [ "m_EnergySourceStorageIDb3", "d6/de6/class_component_energy_manager.html#a31640912829c608fbf3dd4f7cd24cc8b", null ],
    [ "m_EnergySourceStorageIDb4", "d6/de6/class_component_energy_manager.html#afcb44ef8805d189e0fcbb94fe152d158", null ],
    [ "m_EnergyStorageMax", "d6/de6/class_component_energy_manager.html#ac2a2525ef8cee723484ac2e4026cd932", null ],
    [ "m_EnergyUsage", "d6/de6/class_component_energy_manager.html#a0fb42cfd875523741ce4e24e51434bd0", null ],
    [ "m_HasElectricityIcon", "d6/de6/class_component_energy_manager.html#ab860169f59f59d3c58bb0f768b31d8cb", null ],
    [ "m_IsPassiveDevice", "d6/de6/class_component_energy_manager.html#a43486d55378cd3728609760d983fa218", null ],
    [ "m_IsPlugged", "d6/de6/class_component_energy_manager.html#a7cff5df7f30f5f8d23bd9bec1fac71ce", null ],
    [ "m_IsSwichedOn", "d6/de6/class_component_energy_manager.html#a0b10ea6b5906b1886477c0e15b277305", null ],
    [ "m_IsSwichedOnPreviousState", "d6/de6/class_component_energy_manager.html#ae91ae218bacb8cf3a9473bc1f60cbbe7", null ],
    [ "m_IsWorking", "d6/de6/class_component_energy_manager.html#a6de559d7ce297ab85fb066ea0246f5a6", null ],
    [ "m_LastUpdateTime", "d6/de6/class_component_energy_manager.html#ab4b09199dd9e831011c59af31992ab78", null ],
    [ "m_MySocketID", "d6/de6/class_component_energy_manager.html#a7e97caf9aa1e7627f222e606bf0bc9d2", null ],
    [ "m_PluggedDevices", "d6/de6/class_component_energy_manager.html#a89ce13be5149563ae78a15f53f9a4722", null ],
    [ "m_PlugType", "d6/de6/class_component_energy_manager.html#a260b1ae4f470d65608d52415a0498b68", null ],
    [ "m_ReduceMaxEnergyByDamageCoef", "d6/de6/class_component_energy_manager.html#a49dbc0ab07a2e1af274239862623bb89", null ],
    [ "m_RestorePlugState", "d6/de6/class_component_energy_manager.html#aa0feb40191e51fde6a6778a5c3e28026", null ],
    [ "m_ShowSocketsInInventory", "d6/de6/class_component_energy_manager.html#ab9c56ae647db46859d97051b61f52f25", null ],
    [ "m_Sockets", "d6/de6/class_component_energy_manager.html#aa1d72e548d3754c251e03d506c319ac4", null ],
    [ "m_SocketsCount", "d6/de6/class_component_energy_manager.html#a174bfbeea3e8a1a6a70e5fc452912313", null ],
    [ "m_UpdateInterval", "d6/de6/class_component_energy_manager.html#a58f49111647bde5021d648da92f1f4ce", null ],
    [ "m_UpdateQuantityTimer", "d6/de6/class_component_energy_manager.html#a32b30560cb07096f085213fbedc3734d", null ],
    [ "m_UpdateTimer", "d6/de6/class_component_energy_manager.html#a0b782ad7c987513019b3305befac46eb", null ],
    [ "m_WetnessExposure", "d6/de6/class_component_energy_manager.html#af8d7a2ac4e66e44fcdf7beada2ae1087", null ],
    [ "MAX_SOCKETS_COUNT", "d6/de6/class_component_energy_manager.html#a90b950db89a27f518263a2a1b6a7ae85", null ],
    [ "SEL_CORD_FOLDED", "d6/de6/class_component_energy_manager.html#a08a22f91d7051639c04f14278d766903", null ],
    [ "SEL_CORD_PLUGGED", "d6/de6/class_component_energy_manager.html#abebeced674802cfbde41b9ab56f28bff", null ],
    [ "SOCKET_", "d6/de6/class_component_energy_manager.html#a73e1b92549ef173fd31d65ca12ea9a95", null ]
];